# testLogging

open fun testLogging(@DelegatesTo(value = TestLoggingContainer::class) closure: Closure)

Allows configuring the logging of the test execution, for example log eagerly the standard output, etc.

    apply plugin: 'java'

    // makes the standard streams (err and out) visible at console when running tests
    test.testLogging {
       showStandardStreams = true
    }

Content copied to clipboard

#### Parameters

closure

configure closure

open fun testLogging(action: Action<in TestLoggingContainer>)

Allows configuring the logging of the test execution, for example log eagerly the standard output, etc.

    apply plugin: 'java'

    // makes the standard streams (err and out) visible at console when running tests
    test.testLogging {
       showStandardStreams = true
    }

Content copied to clipboard

#### Since

3.5

#### Parameters

action

configure action

val testLogging: TestLoggingContainer